Subject: [bug#67512] [PATCH v4 1/4] gnu: Move icu4c-73 from gnuzilla to icu4c.

From: Ian Eure <[email-masked]>
Date: Thu, 22 Feb 2024 16:56:57 -0800

Hi Mark,

Mark H Weaver <[email-masked]> writes:

> Hi Ian,
>
> Clément Lassieur <[email-masked]> writes:
>
>> I'm just confused by the description:
>>
>>> +    (description
>>> +     "Full-featured browser client built from Firefox source 
>>> tree, without
>>> +the official icon and the name \"firefox\".  This is the 
>>> Extended Support
>>> +Release (ESR) version.")
>
> The description above, apparently written by you, states that 
> this
> browser is "Full-featured", and the only differences mentioned 
> between
> Firefox and Librewolf are that it lacks the "official icon and 
> the name
> 'firefox'".
>

Thank you for bringing this to my attention.  This is an artifact 
of the Firefox package definition I based this on, and isn’t an 
accurate description of LibreWolf.  I’ll correct this in the next 
version.

> Note that Firefox does not comply with the GNU FSDG.  For 
> example,
> Firefox supports EME, and that it also steers users towards 
> nonfree
> software, notably nonfree addons.  Therefore Firefox is not 
> included in
> Guix.
>
> Can you tell me more about the differences between Firefox and
> Librewolf?
>

I can’t enumerate every difference; if you have a question about 
specific feature(s), I’d be happy to answer that.  In general:

- LibreWolf permits use of their name and logo.
- Telemetry is disabled.
- User-hostile things like ads for Mozilla VPN are removed.
- DRM is disabled by default (but can be enabled by the user).
- Default settings have been adjusted for more security and/or 
  privacy.

This feature list covers most of the changes: 
https://librewolf.net/docs/features/

Additionally, the patch I submitted builds LibreWolf without EME 
support (which is what the other Firefox forks in Guix do); and 
uses GNU Mozzarella for extensions.

Thanks,

  — Ian